<template>
  <div class="dashboard-container">
    <head-sculpture :deatils-info="deatilsInfo" />
    <personal-information :deatils-info="deatilsInfo" />
  </div>
</template>

<script>
import { getInfo } from '@/api/user'

export default {
  name: 'MyAccount',
  components: {
    HeadSculpture: () => import('./components/HeadSculpture.vue'),
    PersonalInformation: () => import('./components/PersonalInformation.vue')
  },
  data() {
    return {
      deatilsInfo: {}
    }
  },
  created() {
    this.getInfo()
  },
  methods: {
    getInfo() {
      getInfo().then(response => {
        this.deatilsInfo = response.data
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.dashboard {
  &-text {
    font-size: 30px;
    line-height: 46px;
  }
}
</style>
